---
title: Director of Legal
---

The Director(s) of Legal are responsible for advising clients across GitLab on legal matters related to their functional area of expertise.

## Director, Legal

### Director, Legal Job Grade

The Director, Legal is a [grade 10](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Director, Legal Responsibilities

- Partner with leadership, team members and other stakeholders across GitLab to address legal related matters
- Advise on, draft, maintain and review templates and policies
- Monitor and analyze changes in the law and legal risks; propose creative and effective solutions to address those risks
- Anticipate legal issues or risks and build the necessary processes and systems to address them
- Manage outside counsel relationships, as needed

### Director, Legal Requirements

- 8+ years combined law firm and in-house legal department experience, preferably in a multinational company
- Juris Doctorate/United States law degree and bar admission in at least one US state
- Proven success working effectively across business units and internal functions to efficiently resolve complex business issues
- Practical yet creative problem-solving approach that emphasizes addressing business needs while protecting GitLab’s interests
- Proactive, dynamic, and result driven self starter with strong attention to detail
- Familiarity working across the globe, to support multiple time zones and cultures
- Outstanding interpersonal skills, the ability to interface effectively with all business functions throughout the organization with a highly responsive and service-oriented attitude
- Sound and practical business judgment
- Previous experience in a remote work environment would be an added advantage
- Ability to use GitLab

## Senior Director, Legal

### Senior Director, Legal Job Grade

The Senior Director, Legal is a [grade 11](https://about.gitlab.com/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Director, Legal Responsibilities

- Recruit, retain, and develop top talent
- Manage a team of subject matter experts
- Provide cross jurisdictional strategic counsel to leaders across GitLab and E-group
- Contribute to materials prepared for Board of Directors meetings and Board committee meetings
- Manage outside counsel and associated budget
- Strategic planning and oversight over areas related to subject matter expertise (ex. headcount planning, budget, etc.)

### Director, Legal Requirements

- 12+ years combined law firm and in-house legal department experience, preferably in a multinational company, with a considerable amount of that time dedicated to their area of subject matter expertise, for those roles which require an attorney
- Juris Doctorate/United States law degree and bar admission in at least one US state for those roles which require an attorney
- Demonstrated ability to quickly reduce complex principles into actionable counsel
- Proven management experience
- Skilled at empowering,  motivating, training and mentoring a team of varying levels of experience
- Ability to act quickly and be decisive when needed, even with ambiguity
- Reasonable approach to assessing and balancing risk on behalf of the company
- An ownership mindset of the relevant area(s) of subject matter expertise
- Capable of building strong relationships cross functionally at all levels across GitLab

## Specialities

### Corporate

The Director of Legal, Corporate collaborates on matters with clients across GitLab related to corporate governance and securities law compliance and related issues.

### Commercial

The Director of Legal, Commercial collaborates with clients across GitLab on a broad range of commercial law matters affecting our global team member base.

### Privacy and Product

The Director of Legal, Privacy and Product collaborates with clients across GitLab on a broad range of privacy and product matters.

### Employment

The Director of Legal, Employment collaborates with clients across GitLab on a broad range of employment law matters affecting our global team member base.

### Senior Director of Legal, Litigation & Risk Management

The Senior Director of Legal, Litigation & Risk Management reports to the [Chief Legal Officer, Head of Corporate Affairs and Corporate Secretary](https://about.gitlab.com/job-families/legal-and-corporate-affairs/chief-legal-officer/), and is responsible for providing counsel and guidance related to litigation, claims, and dispute resolution. As part of their role, the Senior Director of Legal, Litigation & Risk Management will collaborate with key leaders across GitLab in order to manage a variety of projects related to risk management and dispute resolution.

### Senior Director of Legal, Litigation & Risk Management Responsibilities

- Support resolution across a wide range of topics
- Efficiently handle, including (but not limited to) responding to subpoenas and discovery requests, drafting and revising legal documentation, investigations and negotiating and drafting agreements
- Coordinate with internal business partners across GitLab to proactively address and resolve matters in support of business objectives
- Collaborate with other applicable corporate functions, including Internal Audit, Finance, People, and Sales
- Conduct legal research and analysis to provide recommendations and prepare written opinions and guidance for CLO and Executive Team (as necessary)
- Establish and manage outside counsel relationships, including staffing, strategy, work product, day-to-day case activity, and budget management
- Track and report on status and outcomes of investigations, litigation matters, and dispute resolution
- Architect and manage scalable processes and procedures
- Inform and guide GitLab’s risk management strategies and contribute to GitLab’s global compliance program(s)

### Senior Director of Legal, Litigation & Risk Management Requirements

- 8+ years of broad litigation experience at a leading law firm and/or in-house, handling various aspects of commercial litigation, alternative dispute resolution, pre-litigation disputes, and internal investigations
- Effective collaborator who embraces iteration in order to innovate, drive, and scale best-in-class litigation and dispute programs, drive strategy with stakeholders from multiple functions, and anticipate evolving risk in a global market
- Deep knowledge and proven track record of success with ranging litigation matters, including eDiscovery, document retention policies and procedures; collection, review, and production of documents; and third-party subpoena compliance
- Outstanding cross-functional partnership skills, with a confirmed ability to identify, initiate and lead efforts with both internal and external teams
- Enthusiastic self-starter; equally comfortable operating at the micro and macro levels with the innate ability to know which level is needed at what time
- Experience with establishing and managing an operating budget
- Background with hyper-growth organizations, and proven ability to adapt and learn things quickly
- An effective communicator with the ability to use “plain language” and to escalate, stay coordinated, provide feedback, and ask for help
- Strong operational mindset with ability to prioritize projects and demands
- Embrace GitLab Values of [Collaboration](/handbook/values/#collaboration[), [Results](/handbook/values/#results), [Efficiency](/handbook/values/#efficiency), [Diversity, Inclusion & Belonging](/handbook/values/#diversity-inclusion), [Iteration](/handbook/values/#iteration), and [Transparency](/handbook/values/#transparency)


## Performance Indicators

### Corporate

- Timely and accurate contributions to filings and corporate governance matters
- Successful completion of M&A projects
- Accurate and complete corporate records

### Commercial

- Hire and manage a high functioning, empowered team of commercial legal attorneys to partner with our internal clients and customers, as well as collaborate with our Contracts Management team
- Maintain and update current agreement forms and create new agreements as areas of the business requires
- Successful creation and administration of ongoing training related to commercial contract terms for internal clients

### Privacy and Product

- Successful oversight of privacy compliance initiatives
- Accurate export control administration
- Management of open source licensing directives nd other intellectucal property matters

### Employment

- Timely and accurate contributions to global employment related matters
- Accurate and complete employment related templates, forms and policies
- Successful creation and administration of ongoing employment law related training for internal clients

## Career Ladder

The next step in the Director, Legal job family is the Senior Director, Legal. The next step in the Senior Director, Legal job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](https://about.gitlab.com/company/team/).

- Selected candidates will be invited to schedule a 30-minute screening call with our Global Recruiters
- Next, candidates will be invited to schedule an interview with our Chief Legal Officer
- Then selected candidates will be invited to schedule with additional team members of the legal department
- Next, candidates will be invited to schedule interviews with directors and/or executives in relevant functional areas
- Finally, candidates may be required to meet with the CEO.

Additional details about our process can be found on our [hiring page](https://about.gitlab.com/handbook/hiring/).
